org.apache.ignite.lifecycle

## Interface LifecycleAware

All Known Implementing Classes:
  CacheAbstractJdbcStore, CacheJdbcPojoStore, GridCacheWriteBehindStore, GridLoggerProxy, GridTcpRouterImpl, StreamerBoundedSizeBatchWindow, StreamerBoundedSizeSortedWindow, StreamerBoundedSizeWindow, StreamerBoundedTimeBatchWindow, StreamerBoundedTimeWindow, StreamerUnboundedWindow, StreamerWindowAdapter

    public interface LifecycleAware

All components provided in Ignite configuration can implement this interface. If a component implements this interface, then method `start()` will be called during grid startup and `stop()` will be called during stop.

### Method Summary

Methods
`void` `start()` Starts grid component, called on grid start.
`void` `stop()` Stops grid component, called on grid shutdown.

### Method Detail

#### start

    void start()
               throws IgniteException

Starts grid component, called on grid start.

Throws:
  `IgniteException` - If failed.

#### stop

    void stop()
              throws IgniteException

Stops grid component, called on grid shutdown.

Throws:
  `IgniteException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015